Bug 132248 - Can not install using loopback mounted images
Summary: Can not install using loopback mounted images
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard: FC3
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-10 09:22 UTC by vvs
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 04:32:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vvs 2004-09-10 09:22:22 UTC
Description of problem:

When booting from FC2 installation CD with askmethod specified, I can
not install using loopback mounted images on my Apache server, but I
can install only from exploded directory tree copied from all Fedora
CDs. According to console messages anaconda ignores existance of
disc[1-4] directories on http server.

Version-Release number of selected component (if applicable):

anaconda-10.0-5

How reproducible:

Always

Steps to Reproduce:
1. loopback mount all FC2 installation ISOs according to anaconda docs
2. setup access to this directory tree for apache http server
3. boot from 1st FC2 CD on the computer targeted for installation
4. specify linux askmethod at the boot prompt
5. select HTTP when asked
6. specify your http server ip and directory
7. go on with installation
  
Actual results:

After telling that installation CD was detected, anaconda will loop
unsuccessfully trying to download files from (non-existing) Fedora
directory with dialogue telling that it can not read headers from the
server

Expected results:

It should detect that there are loopback mounted images and use it instead

Additional info:

Network installation using boot.iso goes fine

Comment 1 Jeremy Katz 2004-09-10 15:45:32 UTC
We're not checking for things appropriately in the loader before
passing the URL on to the second stage when in this "shortcut" type of
install.  

Comment 2 Jeremy Katz 2004-11-23 04:32:23 UTC
This is fixed in FC3


Note You need to log in before you can comment on or make changes to this bug.